{pkgs, ...}: {
  programs.bottom = {
    enable = true;
    settings = {
      flags = {
        rate = 1000;
        hide_table_gap = true;
        hide_time = true;
        left_legend = true;
        network_use_bytes = true;
        temperature_type = "c";
        mem_as_value = true;
        current_usage = true;
      };
      row = [
        {
          ratio = 4;
          child = [
            { type = "cpu"; }
          ];
        }
        {
          ratio = 3;
          child = [
            { type = "mem"; }
            { type = "net"; }
          ];
        }
        {
          ratio = 3;
          child = [
            { type = "temp"; }
            { type = "disk"; }
          ];
        }
      ];
    };
  };
}
